Package org.apache.wiki.xmlrpc

## Class RPCHandlerUTF8

- java.lang.Object
- - org.apache.wiki.xmlrpc.AbstractRPCHandler
  - - org.apache.wiki.xmlrpc.RPCHandlerUTF8

All Implemented Interfaces:
  `WikiRPCHandler`

    public class RPCHandlerUTF8
    extends AbstractRPCHandler

Provides handlers for all RPC routines. These routines are used by the UTF-8 interface.

Since:
  1.6.13

### Field Summary

### Fields inherited from class org.apache.wiki.xmlrpc.AbstractRPCHandler

`ERR_NOPAGE, ERR_NOPERMISSION, LINK_EXTERNAL, LINK_INLINE, LINK_LOCAL, m_context, m_engine, RPC_VERSION`

### Constructor Summary

Constructors
`RPCHandlerUTF8()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.Hashtable<java.lang.String,​java.lang.Object>` `encodeWikiPage​(Page page)` Encodes a single wiki page info into a Hashtable.
`java.util.Vector<java.lang.String>` `getAllPages()`
`java.lang.String` `getApplicationName()`
`java.lang.String` `getPage​(java.lang.String pagename)`
`java.lang.String` `getPageHTML​(java.lang.String pagename)`
`java.lang.String` `getPageHTMLVersion​(java.lang.String pagename, int version)`
`java.util.Hashtable<java.lang.String,​java.lang.Object>` `getPageInfo​(java.lang.String pagename)`
`java.util.Hashtable<java.lang.String,​java.lang.Object>` `getPageInfoVersion​(java.lang.String pagename, int version)`
`java.lang.String` `getPageVersion​(java.lang.String pagename, int version)`
`java.util.Vector<java.util.Hashtable<java.lang.String,​java.lang.Object>>` `getRecentChanges​(java.util.Date since)`
`java.util.Vector<java.util.Hashtable<java.lang.String,​java.lang.String>>` `listLinks​(java.lang.String pagename)`

### Methods inherited from class org.apache.wiki.xmlrpc.AbstractRPCHandler

`checkPermission, getRPCVersionSupported, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RPCHandlerUTF8

    public RPCHandlerUTF8()

### Method Detail

#### getApplicationName

    public java.lang.String getApplicationName()

#### getAllPages

    public java.util.Vector<java.lang.String> getAllPages()

#### encodeWikiPage

    protected java.util.Hashtable<java.lang.String,​java.lang.Object> encodeWikiPage​(Page page)

Encodes a single wiki page info into a Hashtable.

Specified by:
  `encodeWikiPage` in class `AbstractRPCHandler`

#### getRecentChanges

    public java.util.Vector<java.util.Hashtable<java.lang.String,​java.lang.Object>> getRecentChanges​(java.util.Date since)

Overrides:
  `getRecentChanges` in class `AbstractRPCHandler`

#### getPageInfo

    public java.util.Hashtable<java.lang.String,​java.lang.Object> getPageInfo​(java.lang.String pagename)
                                                                             throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

#### getPageInfoVersion

    public java.util.Hashtable<java.lang.String,​java.lang.Object> getPageInfoVersion​(java.lang.String pagename,
                                                                                           int version)
                                                                                    throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

#### getPage

    public java.lang.String getPage​(java.lang.String pagename)
                             throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

#### getPageVersion

    public java.lang.String getPageVersion​(java.lang.String pagename,
                                           int version)
                                    throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

#### getPageHTML

    public java.lang.String getPageHTML​(java.lang.String pagename)
                                 throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

#### getPageHTMLVersion

    public java.lang.String getPageHTMLVersion​(java.lang.String pagename,
                                               int version)
                                        throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`

#### listLinks

    public java.util.Vector<java.util.Hashtable<java.lang.String,​java.lang.String>> listLinks​(java.lang.String pagename)
                                                                                             throws org.apache.xmlrpc.XmlRpcException

Throws:
  `org.apache.xmlrpc.XmlRpcException`